"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.optionsDomain = exports.optionsArn = exports.serverDomain = exports.serverArn = void 0;
const pulumi = require("@pulumi/pulumi");
const resources_js_1 = require("./resources.js");
const pulumiConfig = new pulumi.Config();
const serverPath = pulumiConfig.require('serverPath');
const optionsPath = pulumiConfig.require('optionsPath');
const memorySizeStr = pulumiConfig.require('memorySize');
const allowedOriginsStr = pulumiConfig.get('allowedOrigins');
let serverInvokeMode = pulumiConfig.get('serverInvokeMode');
const memorySize = Number(memorySizeStr);
let optionsEnv = {};
if (allowedOriginsStr) {
    optionsEnv['ALLOWED_ORIGINS'] = allowedOriginsStr;
}
if (!serverInvokeMode) {
    serverInvokeMode = 'BUFFERED';
}
const iamForLambda = (0, resources_js_1.getLambdaRole)();
const serverURL = (0, resources_js_1.buildLambda)('LambdaServer', iamForLambda, serverPath, undefined, memorySize, serverInvokeMode);
const optionsURL = (0, resources_js_1.buildLambda)('LambdaOptions', iamForLambda, optionsPath, optionsEnv);
exports.serverArn = serverURL.functionArn;
exports.serverDomain = serverURL.functionUrl.apply((endpoint) => endpoint.split('://')[1].slice(0, -1));
exports.optionsArn = optionsURL.functionArn;
exports.optionsDomain = optionsURL.functionUrl.apply((endpoint) => endpoint.split('://')[1].slice(0, -1));
