"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NameRegister = void 0;
class NameRegister {
    constructor() {
        this._names = [];
    }
    static getInstance() {
        if (!NameRegister.singleton) {
            NameRegister.singleton = new NameRegister();
        }
        return NameRegister.singleton;
    }
    registerName(name) {
        if (this._names.includes(name)) {
            throw Error(`Resource name "${name}" already used`);
        }
        this._names.push(name);
        return name;
    }
    getRegisteredNames() {
        return this._names;
    }
}
exports.NameRegister = NameRegister;
